JOURNAL_SET_FEATURES(9)

NAME
journal_set_features - Mark a given journal feature in the superblock

SYNOPSIS

int journal_set_features(journal_t * journal, unsigned long compat, unsigned long ro, unsigned long incompat);

ARGUMENTS

journal
    Journal to act on.

compat
    bitmask of compatible features

ro
    bitmask of features that force read-only mount

incompat
    bitmask of incompatible features

DESCRIPTION

Mark a given journal feature as present on the superblock. Returns true if the requested features could be set.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT